For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
      • GETGet
      • DELDelete
      • PATCHUpdate
      • POSTDuplicate
      • POSTCopy
      • GETSearch
        • GETList
        • GETGet
        • GETList Children
          • GETBy Type
          • GETBy Entity
LogoLogo
Sign upLog in
API ReferenceLandscapesLogsStats

By Type

GET
https://api.icepanel.io/v1/landscapes/:landscapeId/action-logs/stats/by-type
GET
/v1/landscapes/:landscapeId/action-logs/stats/by-type
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.landscapes.logs.stats.byType("landscapeId", {});
8}
9main();
1{
2 "contributors": {},
3 "dates": [
4 {
5 "actions": {},
6 "date": "2024-01-15T09:30:00Z"
7 }
8 ],
9 "totalCount": 1.1
10}

List total counts of actions for each action type (e.g. diagram-content-update, model-object-create)

Was this page helpful?
Previous

By Entity

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

landscapeIdstringRequired

Query parameters

filterobjectOptional
periodenumOptional
Allowed values:

Response

OK
contributorsmap from strings to objects
dateslist of objects
totalCountdouble

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error